Create Charge Back Report
Generate (create) a Tenant Report using the specified Report Definition and for the specified Resource
The Tenant Report that needs to be generated
Show optional properties
{
"reportDefinitionId": "string",
"resourceId": "string"
}
"{\n \"resourceId\" : \"be82d29c-d82d-4d8c-8d9b-7f69d45b1c5f\",\n \"reportDefinitionId\" : \"97417a6d-708d-4b12-9142-484b5a0df4dc\",\n \"traversalSpec\" : {\n \"name\" : \"Traversal spec name\",\n \"rootAdapterKindKey\" : \"VMWARE\",\n \"rootResourceKindKey\" : \"VM\",\n \"adapterInstanceAssociation\" : false\n },\n \"subject\" : [ ],\n \"publish\" : false\n}"
Time when the Report Generation completed.
Description of the Report.
Identifier of the Report.
Represents a HTTP 'link' element.
It is implicit that all the link tags support http 'GET' method.
Name of the Report.
Owner (user) who created/executed the Report Generation.
Whether the tenant report needs to be published for tenants.
Identifier of the Report Definition used to generate this Report.
Resource identifier for which the Report needs to be generated.
Status of Report Generation - whether the Report got generated successfully or not.
Subjects of the Report.
Represents traversal specs. These are templates in the system using which admins can assign specific set of resources to their users.
The Generated Tenant Report
"{\n \"description\" : \"Cluster Capacity Risk Forecast Report\",\n \"subject\" : [ ],\n \"owner\" : \"admin\",\n \"completionTime\" : \"1 hour ago\",\n \"status\" : \"Completed\",\n \"publish\" : false\n}"
Time when the Report Generation completed.
Description of the Report.
Identifier of the Report.
Represents a HTTP 'link' element.
It is implicit that all the link tags support http 'GET' method.
Name of the Report.
Owner (user) who created/executed the Report Generation.
Whether the tenant report needs to be published for tenants.
Identifier of the Report Definition used to generate this Report.
Resource identifier for which the Report needs to be generated.
Status of Report Generation - whether the Report got generated successfully or not.
Subjects of the Report.
Represents traversal specs. These are templates in the system using which admins can assign specific set of resources to their users.
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"reportDefinitionId":"string","resourceId":"string"}' https://{api_host}/suite-api/api/chargeback/reports